%define fw_version 5.24

Summary:	KDE Frameworks 5 pseudo terminal devices module
Name:		kpty
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kcoreaddons-devel >= %{version}
BuildRequires:	ki18n-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 pseudo terminal devices module.

KPty provides primitives to interface with pseudo terminal devices as well
as a KProcess derived class for running child processes and communicating
with them using a pty.

#----------------------------------------------------------------------------

%package i18n
Summary:	KPty translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KPty translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5pty_major 5
%define libkf5pty %mklibname kf5pty %{kf5pty_major}

%package -n %{libkf5pty}
Summary:	KDE Frameworks 5 pseudo terminal devices shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5pty}
KDE Frameworks 5 pseudo terminal devices shared library.

%files -n %{libkf5pty}
%{_kde5_libdir}/libKF5Pty.so.%{kf5pty_major}*

#----------------------------------------------------------------------------

%define devkf5pty %mklibname kf5pty -d

%package -n %{devkf5pty}
Summary:	Development files for KDE Frameworks 5 pseudo terminal devices module
Group:		Development/KDE and Qt
Requires:	%{libkf5pty} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5pty-devel = %{version}

%description -n %{devkf5pty}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5pty}
%{_kde5_includedir}/KF5/KPty
%{_kde5_includedir}/KF5/kpty_version.h
%{_kde5_libdir}/cmake/KF5Pty
%{_kde5_libdir}/libKF5Pty.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (620a255) New version 5.24.0


